Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class VerticalAlignment

    java.lang.Object
      org.apache.poi.ss.usermodel.VerticalAlignment

    public class VerticalAlignment

extends java.lang.Object

This enumeration value indicates the type of vertical alignment for a cell, i.e., whether it is aligned top, bottom, vertically centered, justified or distributed.

Field Summary
`static VerticalAlignment` | `BOTTOM` The vertical alignment is aligned-to-bottom.
`static VerticalAlignment` | `CENTER` The vertical alignment is centered across the height of the cell.
`static VerticalAlignment` | `DISTRIBUTED` When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top
`static VerticalAlignment` | `JUSTIFY` When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top and bottom margins.
`static VerticalAlignment` | `TOP` The vertical alignment is aligned-to-top.

Constructor Summary
`VerticalAlignment()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static final VerticalAlignment TOP

  The vertical alignment is aligned-to-top.

### CENTER

    public static final VerticalAlignment CENTER

  The vertical alignment is centered across the height of the cell.

### BOTTOM

    public static final VerticalAlignment BOTTOM

  The vertical alignment is aligned-to-bottom.

### JUSTIFY

    public static final VerticalAlignment JUSTIFY

  When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top and bottom margins.

  When text direction is vertical: similar behavior as horizontal justification. The alignment is justified (flush top and bottom in this case). For each line of text, each line of the wrapped text in a cell is aligned to the top and bottom (except the last line). If no single line of text wraps in the cell, then the text is not justified.

### DISTRIBUTED

    public static final VerticalAlignment DISTRIBUTED

  When text direction is horizontal: the vertical alignment of lines of text is distributed vertically, where each line of text inside the cell is evenly distributed across the height of the cell, with flush top

  When text direction is vertical: behaves exactly as distributed horizontal alignment. The first words in a line of text (appearing at the top of the cell) are flush with the top edge of the cell, and the last words of a line of text are flush with the bottom edge of the cell, and the line of text is distributed evenly from top to bottom.

Constructor Detail

### VerticalAlignment

    public VerticalAlignment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD